Subject: Re: bug#21782: 25.0.50; New functions nfront/front

From: Tino Calancha <[email-masked]>
Date: Fri, 30 Oct 2015 19:10:00 +0900 (JST)

Thank you.
I agree with your 3 points.
1) Clearly replicate functionality
2) Yes, the prefix prevent to pollute.
3) Agree.

My main concern is why seq-take is not auloaded at the start of the 
session. Its natural to have loaded such function always.

Anyway thank you very much.

On Fri, 30 Oct 2015, Artur Malabarba wrote:

> 
> On 30 Oct 2015 2:53 am, "Constantino Calancha" <[email-masked]> wrote:
> > Why i need to pollute my global space with all seq.el just to use this
> > fundamental operation on a list?
> 
> I think, overall, sticking to seq-take has a smaller cost/benefit ratio than adding nfront. I state my logic below.
> 
> These points are all a little subjective. So if you disagree and think that
the slider falls closer to the other side, we can wait to hear more opinions (though at least Michael seems to
> agree).
> 
> 1. While nfront is not identical to seq-take, it's similar enough that this would just be replicating functionality, which is ultimately a maintenance burden.
> 2. Seq is not a huge lib, so you're not polluting that much. Furthermore, all its functions are prefixed by "seq-", so you're polluting even less. Lastly, seq was added to core
> specifically with the purpose of being the goto sequences lib (and it's been doing that fine), so it wouldn't make sense to circumvent it now.
> 3. I'm of the opinion that we should be adding namespace prefixes as much as possible. Unprefixed names pollute much more and are harder to find.
> 
> In any case, thanks for the suggestion.
> 
> 
>